### Constructor

# Gio ThemedIcon new

#### Declaration [src]

    GIcon*
    g_themed_icon_new (
      const char* iconname
    )

#### Description [src]

Creates a new themed icon for `iconname`.

#### Parameters

`iconname`

  Type: `const char*`

  A string containing an icon name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GThemedIcon`

A new `GThemedIcon`.

The caller of the function takes ownership of the data, and is responsible for freeing it.